Skip to navigation

Create a webhook event schema

Creates a custom GraphQL schema for one webhook event namespace. For supported business events, the schema is a root-level Business selection set. See Customize webhook payloads for general guidance. For agent-specific event behavior, see Agent webhook events.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_idstringRequired
Webhook ID

Request

This endpoint expects an object.
namespacestringRequired
Event namespace for the schema override. Currently supported business event namespaces are business.created and business.updated.
schemastringRequired

GraphQL selection set rooted at the event object for the namespace. For business.updated, select fields directly from the Business object. Use snake_case field names and omit an object wrapper.

Response

webhook event schema created
objectenum
Allowed values:
idstringformat: "uuid"
Unique identifier for this webhook event schema.
namespacestring
Event namespace for the schema override. Currently supported business event namespaces are business.created and business.updated.
schemastring

GraphQL selection set rooted at the event object for the namespace. For business.updated, select fields directly from the Business object. The selection replaces only data.object in delivered webhook payloads.

created_atdatetime
updated_atdatetime

Errors

422
Create Webhook Event Schema Request Unprocessable Entity Error